summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlexis Ballier <aballier@gentoo.org>2016-02-06 16:22:43 +0100
committerAlexis Ballier <aballier@gentoo.org>2016-02-06 16:39:11 +0100
commit5452ff7ec75d38c1819fbb8175f482e28cc35041 (patch)
treec9b6d401ff12e164abfb799deb387484fdee06b5 /dev-ml/js_of_ocaml
parentdev-ml/ppx_deriving: Use opam-installer to install it properly (diff)
downloadgentoo-5452ff7ec75d38c1819fbb8175f482e28cc35041.tar.gz
gentoo-5452ff7ec75d38c1819fbb8175f482e28cc35041.tar.bz2
gentoo-5452ff7ec75d38c1819fbb8175f482e28cc35041.zip
dev-ml/js_of_ocaml: Add X useflag
Package-Manager: portage-2.2.27 Signed-off-by: Alexis Ballier <aballier@gentoo.org>
Diffstat (limited to 'dev-ml/js_of_ocaml')
-rw-r--r--dev-ml/js_of_ocaml/js_of_ocaml-2.7.ebuild8
1 files changed, 6 insertions, 2 deletions
diff --git a/dev-ml/js_of_ocaml/js_of_ocaml-2.7.ebuild b/dev-ml/js_of_ocaml/js_of_ocaml-2.7.ebuild
index 4f423b95e5e..3d6298a3f2b 100644
--- a/dev-ml/js_of_ocaml/js_of_ocaml-2.7.ebuild
+++ b/dev-ml/js_of_ocaml/js_of_ocaml-2.7.ebuild
@@ -13,9 +13,10 @@ SRC_URI="https://github.com/ocsigen/js_of_ocaml/archive/${PV}.tar.gz -> ${P}.tar
LICENSE="LGPL-2.1-with-linking-exception"
SLOT="0/${PV}"
KEYWORDS="~amd64"
-IUSE="+ocamlopt doc +deriving"
+IUSE="+ocamlopt doc +deriving X"
-DEPEND=">=dev-lang/ocaml-3.12:=[ocamlopt?]
+DEPEND="
+ >=dev-lang/ocaml-3.12:=[ocamlopt?,X?]
>=dev-ml/lwt-2.4.4:=
dev-ml/react:=
dev-ml/reactiveData:=
@@ -29,8 +30,11 @@ DEPEND=">=dev-lang/ocaml-3.12:=[ocamlopt?]
RDEPEND="${DEPEND}"
src_configure() {
+ printf "\n\n" >> Makefile.conf
use ocamlopt || echo "BEST := byte" >> Makefile.conf
+ use ocamlopt || echo "NATDYNLINK := NO" >> Makefile.conf
use deriving || echo "WITH_DERIVING := NO" >> Makefile.conf
+ use X || echo "WITH_GRAPHICS := NO" >> Makefile.conf
}
src_compile() {